Subject: Re: Graceful restart comment

From: Gargi Nalawade <[email-masked]>
Date: Mon, 29 Apr 2002 13:48:25 -0700

"Natale, Jonathan" wrote:
> 
> Please excuse my ignorance, but is there an INFORMATIONAL msg type?  Type 6?

No there isnt one yet. But work in progress on introducing that.

> I though all notifications kill the session?

yes they do. And hence the need for the above, so a peer can be *notified*,
oops lets call it *informed*, without the session being reset.

-Gargi

> 
> -----Original Message-----
> From: Jeffrey Haas [mailto:[email-masked]]
> Sent: Monday, April 29, 2002 4:27 PM
> To: Gargi Nalawade
> Cc: Enke Chen; [email-masked]
> Subject: Re: Graceful restart comment
> 
> On Mon, Apr 29, 2002 at 01:12:04PM -0700, Gargi Nalawade wrote:
> > I agree. The semantics of the NOTIFICATION message shouldnt be changed.
> > We seem to need a new message type, say an INFORMATIONAL message that
> > sends out information (notifies actually) to the peer, but doesnt
> > necessarily cause a session reset.
> 
> Other things this would be useful for is when packets are discarded
> by an implementation where it is unnecessary to actually tear
> down the peering session.  A good example is when a peer sends
> you an MP_REACH_NLRI that you don't support, or you're going to
> start ignoring a given AFI/SAFI because of errors in the PDU, but
> are going to leave the peering session up.
> 
> > -Gargi
> 
> --
> Jeff Haas
> NextHop Technologies

---

From: "Bruno Rijsman" <[email-masked]>
Date: Mon, 29 Apr 2002 17:07:51 -0400

Pedro> if your neighbor is sending you packets for an NLRI that
Pedro> it hasn't negociated, chances are that there is something
Pedro> else wrong with it.

However, keep in mind that if dynamic capability negotiation is used you 
must be prepared to receive (and ignore) an UPDATE for an address-family 
which you withdrew recently. This scenario can occur if a CAPABILITY message 
withdrawing the Multi-Protocol capability for an address-family and an 
UPDATE message for that same address family cross each other.

(I still agree with the more general point Pedro was making in his e-mail: 
don't trust a peer which is advertising bogus information to you).

_________________________________________________________________
Join the world’s largest e-mail service with MSN Hotmail. 
http://www.hotmail.com